"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactSortableHoc = require("react-sortable-hoc");

var _styleContainer = require("@cloudflare/style-container");

var _elements = require("@cloudflare/elements");

var _DragHandleIcon = _interopRequireDefault(require("./DragHandleIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Handle = (0, _styleContainer.createStyledComponent)(function (_ref) {
  var sorting = _ref.sorting;
  return {
    whiteSpace: 'nowrap',
    cursor: 'grab',
    opacity: sorting ? 0.5 : 1,
    pointerEvents: sorting ? 'none' : undefined,
    transition: 'opacity 0.2s linear',
    display: 'flex',
    px: 1,
    mr: 1
  };
});

var _default = (0, _reactSortableHoc.SortableHandle)(function (_ref2) {
  var order = _ref2.order,
      disabled = _ref2.disabled,
      sorting = _ref2.sorting;
  return /*#__PURE__*/_react.default.createElement(Handle, {
    className: "cf-drag-handle",
    sorting: sorting
  }, !disabled && /*#__PURE__*/_react.default.createElement(_elements.Span, {
    minWidth: 10
  }, /*#__PURE__*/_react.default.createElement(_DragHandleIcon.default, null)), order && /*#__PURE__*/_react.default.createElement(_elements.Span, {
    ml: 2
  }, order));
});

exports.default = _default;