"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _componentIcon = require("@cloudflare/component-icon");

var _elements = require("@cloudflare/elements");

var _componentButton = require("@cloudflare/component-button");

var _intlReact = require("@cloudflare/intl-react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ICON_SIZE = 16;

var MoveRowButtons = function MoveRowButtons(_ref) {
  var _ref$describedBy = _ref.describedBy,
      describedBy = _ref$describedBy === void 0 ? [] : _ref$describedBy,
      handleMoveUpClick = _ref.handleMoveUpClick,
      handleMoveDownClick = _ref.handleMoveDownClick;

  var _useI18n = (0, _intlReact.useI18n)(),
      t = _useI18n.t;

  var ariaDescribedBy = describedBy.join(' ');
  return /*#__PURE__*/_react.default.createElement(_componentButton.ButtonGroup, null, /*#__PURE__*/_react.default.createElement(_componentButton.Button, {
    px: 1,
    py: 1,
    "aria-describedby": ariaDescribedBy,
    ariaLabel: t('common.table.move_up'),
    disabled: handleMoveUpClick === undefined,
    onClick: handleMoveUpClick
  }, /*#__PURE__*/_react.default.createElement(_elements.Div, {
    transform: "rotate(90deg)",
    display: "inline-block",
    width: ICON_SIZE,
    height: ICON_SIZE
  }, /*#__PURE__*/_react.default.createElement(_componentIcon.Icon, {
    type: "backward"
  }))), /*#__PURE__*/_react.default.createElement(_componentButton.Button, {
    px: 1,
    py: 1,
    ml: "1px",
    "aria-describedby": ariaDescribedBy,
    ariaLabel: t('common.table.move_down'),
    disabled: handleMoveDownClick === undefined,
    onClick: handleMoveDownClick
  }, /*#__PURE__*/_react.default.createElement(_elements.Div, {
    transform: "rotate(90deg)",
    display: "inline-block",
    width: ICON_SIZE,
    height: ICON_SIZE
  }, /*#__PURE__*/_react.default.createElement(_componentIcon.Icon, {
    type: "forward"
  }))));
};

var _default = MoveRowButtons;
exports.default = _default;